rpms/httpd/devel httpd.init,1.12,1.13 httpd.spec,1.108,1.109

Joe Orton (jorton) fedora-extras-commits at redhat.com
Wed Jul 25 17:17:12 UTC 2007


Author: jorton

Update of /cvs/extras/rpms/httpd/devel
In directory cvs-int.fedora.redhat.com:/tmp/cvs-serv6502

Modified Files:
	httpd.init httpd.spec 
Log Message:
* Tue Jul 24 2007 Joe Orton <jorton at redhat.com> 2.2.4-5
- spec file cleanups: provide httpd-suexec, mod_dav; 
 don't obsolete mod_jk; drop trailing dots from Summaries
- init script
 * add LSB info header, support force-reload (#246944)
 * update description
 * drop 1.3 config check
 * pass $pidfile to daemon and pidfile everywhere



Index: httpd.init
===================================================================
RCS file: /cvs/extras/rpms/httpd/devel/httpd.init,v
retrieving revision 1.12
retrieving revision 1.13
diff -u -r1.12 -r1.13
--- httpd.init	3 Aug 2006 12:50:58 -0000	1.12
+++ httpd.init	25 Jul 2007 17:16:39 -0000	1.13
@@ -3,12 +3,22 @@
 # httpd        Startup script for the Apache HTTP Server
 #
 # chkconfig: - 85 15
-# description: Apache is a World Wide Web server.  It is used to serve \
-#	       HTML files and CGI.
+# description: The Apache HTTP Server is an efficient and extensible  \
+#	       server implementing the current HTTP standards.
 # processname: httpd
 # config: /etc/httpd/conf/httpd.conf
 # config: /etc/sysconfig/httpd
 # pidfile: /var/run/httpd.pid
+#
+### BEGIN INIT INFO
+# Provides: httpd
+# Required-Start: $local_fs $remote_fs $network $named
+# Required-Stop: $local_fs $remote_fs $network
+# Should-Start: distcache
+# Short-Description: start and stop Apache HTTP Server
+# Description: The Apache HTTP Server is an extensible server 
+#  implementing the current HTTP standards.
+### END INIT INFO
 
 # Source function library.
 . /etc/rc.d/init.d/functions
@@ -36,30 +46,13 @@
 lockfile=${LOCKFILE-/var/lock/subsys/httpd}
 RETVAL=0
 
-# check for 1.3 configuration
-check13 () {
-	CONFFILE=/etc/httpd/conf/httpd.conf
-	GONE="(ServerType|BindAddress|Port|AddModule|ClearModuleList|"
-	GONE="${GONE}AgentLog|RefererLog|RefererIgnore|FancyIndexing|"
-	GONE="${GONE}AccessConfig|ResourceConfig)"
-	if LANG=C grep -Eiq "^[[:space:]]*($GONE)" $CONFFILE; then
-		echo
-		echo 1>&2 " Apache 1.3 configuration directives found"
-		echo 1>&2 " please read @docdir@/migration.html"
-		failure "Apache 1.3 config directives test"
-		echo
-		exit 1
-	fi
-}
-
 # The semantics of these two functions differ from the way apachectl does
 # things -- attempting to start while running is a failure, and shutdown
 # when not running is also a failure.  So we just do it the way init scripts
 # are expected to behave here.
 start() {
         echo -n $"Starting $prog: "
-        check13 || exit 1
-        LANG=$HTTPD_LANG daemon $httpd $OPTIONS
+        LANG=$HTTPD_LANG daemon --pidfile=${pidfile} $httpd $OPTIONS
         RETVAL=$?
         echo
         [ $RETVAL = 0 ] && touch ${lockfile}
@@ -71,7 +64,7 @@
 # errant children.
 stop() {
 	echo -n $"Stopping $prog: "
-	killproc -d 10 $httpd
+	killproc -p ${pidfile} -d 10 $httpd
 	RETVAL=$?
 	echo
 	[ $RETVAL = 0 ] && rm -f ${lockfile} ${pidfile}
@@ -83,7 +76,7 @@
         echo $"not reloading due to configuration syntax error"
         failure $"not reloading $httpd due to configuration syntax error"
     else
-        killproc $httpd -HUP
+        killproc -p ${pidfile} $httpd -HUP
         RETVAL=$?
     fi
     echo
@@ -111,7 +104,7 @@
 		start
 	fi
 	;;
-  reload)
+  force-reload|reload)
         reload
 	;;
   graceful|help|configtest|fullstatus)
@@ -120,7 +113,7 @@
 	;;
   *)
 	echo $"Usage: $prog {start|stop|restart|condrestart|reload|status|fullstatus|graceful|help|configtest}"
-	exit 1
+	RETVAL=3
 esac
 
 exit $RETVAL


Index: httpd.spec
===================================================================
RCS file: /cvs/extras/rpms/httpd/devel/httpd.spec,v
retrieving revision 1.108
retrieving revision 1.109
diff -u -r1.108 -r1.109
--- httpd.spec	9 May 2007 10:18:59 -0000	1.108
+++ httpd.spec	25 Jul 2007 17:16:39 -0000	1.109
@@ -6,7 +6,7 @@
 Summary: Apache HTTP Server
 Name: httpd
 Version: 2.2.4
-Release: 4
+Release: 5
 URL: http://httpd.apache.org/
 Source0: http://www.apache.org/dist/httpd/httpd-%{version}.tar.gz
 Source1: index.html
@@ -47,9 +47,10 @@
 Requires(pre): /usr/sbin/useradd
 Requires(post): chkconfig
 Provides: webserver
+Provides: mod_dav = %{version}-%{release}, httpd-suexec = %{version}-%{release}
 Provides: httpd-mmn = %{mmn}
-Obsoletes: apache, secureweb, mod_dav, mod_gzip, stronghold-apache, stronghold-htdocs
-Obsoletes: mod_put, mod_roaming, mod_jk
+Obsoletes: apache, secureweb, mod_dav, mod_gzip, stronghold-apache
+Obsoletes: stronghold-htdocs, mod_put, mod_roaming
 Conflicts: pcre < 4.0
 
 %description
@@ -74,7 +75,7 @@
 
 %package manual
 Group: Documentation
-Summary: Documentation for the Apache HTTP server.
+Summary: Documentation for the Apache HTTP server
 Requires: httpd = %{version}-%{release}
 Obsoletes: secureweb-manual, apache-manual
 
@@ -461,6 +462,15 @@
 %{_libdir}/httpd/build/*.sh
 
 %changelog
+* Tue Jul 24 2007 Joe Orton <jorton at redhat.com> 2.2.4-5
+- spec file cleanups: provide httpd-suexec, mod_dav; 
+ don't obsolete mod_jk; drop trailing dots from Summaries
+- init script
+ * add LSB info header, support force-reload (#246944)
+ * update description
+ * drop 1.3 config check
+ * pass $pidfile to daemon and pidfile everywhere
+
 * Wed May  9 2007 Joe Orton <jorton at redhat.com> 2.2.4-4
 - update welcome page branding
 




More information about the fedora-extras-commits mailing list